<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<html:html>
<head>
<title>名簿　従業員情報変更</title>

<!-- 確認メッセージ -->
<script type="text/javascript">
function confirmedit() {
	return confirm("変更しますか？"); 
}

function confirmdelete() {
	return confirm("削除しますか？"); 
}
</script>
</head>

<body bgcolor="white">

<center>

<h2>従業員情報変更</h2>


名前、性別、所属部署の変更、従業員情報の削除ができます。

<div id="editpanel">
<html:errors/>
<br>
<html:form action="/edit" onsubmit="return confirmedit()">
<table id="edittable" border="2" cellpadding="0">
  <tr> 
    <td width="50%" bgcolor="gray"><b>従業員ID</b></td>
    <td width="50%">
    	<bean:write name="mainForm" property="employeeId"/>
    	<html:hidden name="mainForm" property="employeeId"/>
    </td>
  </tr>
  <tr> 
    <td bgcolor="gray"><b>名前</b></td>
    <td>
    	<html:text property="employeeName"></html:text>
    </td>
  </tr>
  <tr> 
    <td bgcolor="gray"><b>所属組織</b></td>
    <td>
		<bean:define id="dispdept" name="mainForm" property="departmentList" />
		<html:select name="mainForm" property="belongDepartmentId">
		  <html:options collection="dispdept" labelProperty="departmentName" property="departmentId" />
		</html:select>
    </td>
  </tr>
  <tr> 
    <td bgcolor="gray"><b>性別</b></td>
    <td>
        <html:radio property="gender" value="男"></html:radio>男
        <html:radio property="gender" value="女"></html:radio>女
    </td>
  </tr>
  <tr> 
    <td bgcolor="gray"><b>論理削除フラグ</b></td>
    <td>
        <html:checkbox property="isInvalid"></html:checkbox>
    </td>
  </tr>
</table>
<br>
	<html:hidden name="mainForm" property="employeeId"/>
	<html:hidden name="mainForm" property="employeeName"/>
	<html:hidden name="mainForm" property="gender"/>
	<html:hidden name="mainForm" property="belongDepartmentId"/>
	<html:hidden name="mainForm" property="isInvalid"/>
	<html:submit value="変更" styleId="editbtn"></html:submit>

</html:form>
</div>

<hr>
<div id="deletepanel">
<html:form action="/delete" onsubmit="return confirmdelete()">
	<html:submit value="物理削除" styleId="deletebtn"></html:submit>
	<html:hidden name="mainForm" property="employeeId"/>
	<html:hidden name="mainForm" property="employeeName"/>
</html:form>
</div>

<hr>
<div id="searchpanel">

<html:link action="/search">一覧表示</html:link>

</div>

</center>
<hr>
<br>

</body>
</html:html>
